<!DOCTYPE html PUBLIC "-//W3C//DTD XHTML 1.0 Transitional//EN" "https://www.w3.org/TR/xhtml1/DTD/xhtml1-transitional.dtd">
<html xmlns="http://www.w3.org/1999/xhtml">
<head>
<meta http-equiv="Content-Type" content="text/xhtml;charset=UTF-8"/>
<meta http-equiv="X-UA-Compatible" content="IE=9"/>
<meta name="generator" content="Doxygen 1.9.1"/>
<meta name="viewport" content="width=device-width, initial-scale=1"/>
<title>Media Server: MyString Class Reference</title>
<link href="tabs.css" rel="stylesheet" type="text/css"/>
<script type="text/javascript" src="jquery.js"></script>
<script type="text/javascript" src="dynsections.js"></script>
<link href="navtree.css" rel="stylesheet" type="text/css"/>
<script type="text/javascript" src="resize.js"></script>
<script type="text/javascript" src="navtreedata.js"></script>
<script type="text/javascript" src="navtree.js"></script>
<link href="search/search.css" rel="stylesheet" type="text/css"/>
<script type="text/javascript" src="search/searchdata.js"></script>
<script type="text/javascript" src="search/search.js"></script>
<link href="doxygen.css" rel="stylesheet" type="text/css" />
</head>
<body>
<div id="top"><!-- do not remove this div, it is closed by doxygen! -->
<div id="titlearea">
<table cellspacing="0" cellpadding="0">
 <tbody>
 <tr style="height: 56px;">
  <td id="projectalign" style="padding-left: 0.5em;">
   <div id="projectname">Media Server
   &#160;<span id="projectnumber">1.0</span>
   </div>
   <div id="projectbrief">Simple MediaServer with effects and filters</div>
  </td>
 </tr>
 </tbody>
</table>
</div>
<!-- end header part -->
<!-- Generated by Doxygen 1.9.1 -->
<script type="text/javascript">
/* @license magnet:?xt=urn:btih:cf05388f2679ee054f2beb29a391d25f4e673ac3&amp;dn=gpl-2.0.txt GPL-v2 */
var searchBox = new SearchBox("searchBox", "search",false,'Search','.html');
/* @license-end */
</script>
<script type="text/javascript" src="menudata.js"></script>
<script type="text/javascript" src="menu.js"></script>
<script type="text/javascript">
/* @license magnet:?xt=urn:btih:cf05388f2679ee054f2beb29a391d25f4e673ac3&amp;dn=gpl-2.0.txt GPL-v2 */
$(function() {
  initMenu('',true,false,'search.php','Search');
  $(document).ready(function() { init_search(); });
});
/* @license-end */</script>
<div id="main-nav"></div>
</div><!-- top -->
<div id="side-nav" class="ui-resizable side-nav-resizable">
  <div id="nav-tree">
    <div id="nav-tree-contents">
      <div id="nav-sync" class="sync"></div>
    </div>
  </div>
  <div id="splitbar" style="-moz-user-select:none;" 
       class="ui-resizable-handle">
  </div>
</div>
<script type="text/javascript">
/* @license magnet:?xt=urn:btih:cf05388f2679ee054f2beb29a391d25f4e673ac3&amp;dn=gpl-2.0.txt GPL-v2 */
$(document).ready(function(){initNavTree('classMyString.html',''); initResizable(); });
/* @license-end */
</script>
<div id="doc-content">
<!-- window showing the filter options -->
<div id="MSearchSelectWindow"
     onmouseover="return searchBox.OnSearchSelectShow()"
     onmouseout="return searchBox.OnSearchSelectHide()"
     onkeydown="return searchBox.OnSearchSelectKey(event)">
</div>

<!-- iframe showing the search results (closed by default) -->
<div id="MSearchResultsWindow">
<iframe src="javascript:void(0)" frameborder="0" 
        name="MSearchResults" id="MSearchResults">
</iframe>
</div>

<div class="header">
  <div class="summary">
<a href="#pub-methods">Public Member Functions</a> &#124;
<a href="#pub-static-methods">Static Public Member Functions</a>  </div>
  <div class="headertitle">
<div class="title">MyString Class Reference</div>  </div>
</div><!--header-->
<div class="contents">
<table class="memberdecls">
<tr class="heading"><td colspan="2"><h2 class="groupheader"><a name="pub-methods"></a>
Public Member Functions</h2></td></tr>
<tr class="memitem:a28134eb91b6698f46b12accefa157d0f"><td class="memItemLeft" align="right" valign="top"><a id="a28134eb91b6698f46b12accefa157d0f"></a>
&#160;</td><td class="memItemRight" valign="bottom"><b>MyString</b> (const char *a_c_string)</td></tr>
<tr class="separator:a28134eb91b6698f46b12accefa157d0f"><td class="memSeparator" colspan="2">&#160;</td></tr>
<tr class="memitem:ae24c7cf89a58dd2287303df2ac054c66"><td class="memItemLeft" align="right" valign="top"><a id="ae24c7cf89a58dd2287303df2ac054c66"></a>
&#160;</td><td class="memItemRight" valign="bottom"><b>MyString</b> (const <a class="el" href="classMyString.html">MyString</a> &amp;string)</td></tr>
<tr class="separator:ae24c7cf89a58dd2287303df2ac054c66"><td class="memSeparator" colspan="2">&#160;</td></tr>
<tr class="memitem:aff2af0cf30db39fe24a235670ee6ff25"><td class="memItemLeft" align="right" valign="top"><a id="aff2af0cf30db39fe24a235670ee6ff25"></a>
const char *&#160;</td><td class="memItemRight" valign="bottom"><b>c_string</b> () const</td></tr>
<tr class="separator:aff2af0cf30db39fe24a235670ee6ff25"><td class="memSeparator" colspan="2">&#160;</td></tr>
<tr class="memitem:a4eb168b1ec401a732b3859abe004d648"><td class="memItemLeft" align="right" valign="top"><a id="a4eb168b1ec401a732b3859abe004d648"></a>
size_t&#160;</td><td class="memItemRight" valign="bottom"><b>Length</b> () const</td></tr>
<tr class="separator:a4eb168b1ec401a732b3859abe004d648"><td class="memSeparator" colspan="2">&#160;</td></tr>
<tr class="memitem:a521c4cd7eccac6ce554d8a51505e4970"><td class="memItemLeft" align="right" valign="top"><a id="a521c4cd7eccac6ce554d8a51505e4970"></a>
void&#160;</td><td class="memItemRight" valign="bottom"><b>Set</b> (const char *c_string)</td></tr>
<tr class="separator:a521c4cd7eccac6ce554d8a51505e4970"><td class="memSeparator" colspan="2">&#160;</td></tr>
</table><table class="memberdecls">
<tr class="heading"><td colspan="2"><h2 class="groupheader"><a name="pub-static-methods"></a>
Static Public Member Functions</h2></td></tr>
<tr class="memitem:a40753dcfa3314a8993f32bdd75d67ce2"><td class="memItemLeft" align="right" valign="top"><a id="a40753dcfa3314a8993f32bdd75d67ce2"></a>
static const char *&#160;</td><td class="memItemRight" valign="bottom"><b>CloneCString</b> (const char *a_c_string)</td></tr>
<tr class="separator:a40753dcfa3314a8993f32bdd75d67ce2"><td class="memSeparator" colspan="2">&#160;</td></tr>
</table>
<hr/>The documentation for this class was generated from the following files:<ul>
<li><a class="el" href="sample2_8h_source.html">sample2.h</a></li>
<li>sample2.cc</li>
</ul>
</div><!-- contents -->
</div><!-- doc-content -->
<!-- start footer part -->
<div id="nav-path" class="navpath"><!-- id is needed for treeview function! -->
  <ul>
    <li class="navelem"><a class="el" href="classMyString.html">MyString</a></li>
    <li class="footer">Generated by <a href="https://www.doxygen.org/index.html"><img class="footer" src="doxygen.svg" width="104" height="31" alt="doxygen"/></a> 1.9.1 </li>
  </ul>
</div>
</body>
</html>
